Last Comment Bug 663190 - Calling strokeRect with zero width or height should do nothing
: Calling strokeRect with zero width or height should do nothing
Status: VERIFIED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: :Ms2ger
:
Mentors:
Depends on:
Blocks: 622842
  Show dependency treegraph
 
Reported: 2011-06-09 12:34 PDT by :Ms2ger
Modified: 2011-08-31 04:58 PDT (History)
2 users (show)
Ms2ger: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (1.30 KB, patch)
2011-06-09 12:34 PDT, :Ms2ger
bugs: review+
Details | Diff | Splinter Review

Comment 3 Simona B [:simonab] 2011-08-29 06:47:12 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Can anyone please tell me what is expected to be seen in the test case from the Description? Loading the test example gives me a green background and a "Pass" result bellow the second image. Is this the expected behavior?
Comment 4 :Ms2ger 2011-08-30 13:09:42 PDT
Correct.
Comment 5 Simona B [:simonab] 2011-08-31 04:58:21 PDT
Mozilla/5.0 (Windows NT 5.1; rv:7.0) Gecko/20100101 Firefox/7.0

Verified on Win XP, Win 7, Ubuntu 11.04 and Mac OS X 10.6 - loading the test example from the Description gives me a green background and a "Passed" result.

Setting resolution to VERIFIED FIXED.

Thanks Ms2ger!

Note You need to log in before you can comment on or make changes to this bug.